> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/returns`

> `POST /api/v1/returns`

### Request body

`CreateReturnRequest`

<ParamField body="items" type="CreateReturnItemRequest[]" required />

<ParamField body="notes" type="string,null" />

<ParamField body="order_id" type="string (uuid)" required />

<ParamField body="reason" type="string" required />

<ParamField body="reason_details" type="string,null" />

### Responses

<ResponseField name="201" type="ReturnResponse">
  Return created
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<ResponseField name="422" type="ErrorBody">
  Idempotency-Key reused with a different body
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/returns' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "items": [
      {
        "condition": null,
        "order_item_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "quantity": 1
      }
    ],
    "notes": null,
    "order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "reason": "string",
    "reason_details": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "created_at": "2026-07-24T12:00:00Z",
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "reason": "string",
    "refund_amount": null,
    "status": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
